import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const cityGetPoultryData = createAsyncThunk(
  "CITY_GET_POULTRY_DATA",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("Poultry/?type=filter&value=" + d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
